> ## Documentation Index
> Fetch the complete documentation index at: https://bunnynet-cb9733c2-support-migration.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get oembed



## OpenAPI

````yaml https://video.bunnycdn.com/openapi/bunnynet-video-api.public.json get /OEmbed
openapi: 3.0.0
info:
  title: Stream API
  termsOfService: https://bunny.net/tos
  contact:
    name: bunny.net
    url: https://docs.bunny.net
    email: support@bunny.net
  version: 1.5.3
servers:
  - url: https://video.bunnycdn.com
security: []
tags:
  - name: Manage Collections
  - name: Manage Videos
paths:
  /OEmbed:
    get:
      tags:
        - OEmbed
      operationId: OEmbed_GetOEmbed
      parameters:
        - name: url
          in: query
          schema:
            type: string
            nullable: true
          x-position: 1
        - name: maxWidth
          in: query
          schema:
            type: integer
            format: int32
            nullable: true
          x-position: 2
        - name: maxHeight
          in: query
          schema:
            type: integer
            format: int32
            nullable: true
          x-position: 3
        - name: token
          in: query
          schema:
            type: string
            default: ''
            nullable: true
          x-position: 4
        - name: expires
          in: query
          schema:
            type: integer
            format: int64
            default: 0
          x-position: 5
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoOEmbedModel'
components:
  schemas:
    VideoOEmbedModel:
      type: object
      additionalProperties: false
      properties:
        version:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        thumbnail_url:
          type: string
          nullable: true
        width:
          type: integer
          format: int32
        height:
          type: integer
          format: int32
        html:
          type: string
          nullable: true
        provider_name:
          type: string
          nullable: true
        provider_url:
          type: string
          nullable: true

````